JMSURLHelper (Axis API)
Keywords: org.apache.axis.transport.jms.JMSURLHelper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class JMSURLHelper

    java.lang.Object
      org.apache.axis.transport.jms.JMSURLHelper

public class JMSURLHelper
extends java.lang.Object

JMSURLHelper provides access to properties in the URL. The URL must be of the form: "jms:/?[=&]*"

Author:
  Ray Chun (rchun@sonicsoftware.com)

Constructor Summary
`JMSURLHelper(java.net.URL url)`
`JMSURLHelper(java.net.URL url, java.lang.String[] requiredProperties)`

Method Summary
`void` | `addApplicationProperty(java.lang.String property)` Adds the name of a property from the url properties that should be added to the JMS message.
`void` | `addApplicationProperty(java.lang.String property, java.lang.String value)` Adds the name and value od the application property to the JMS URL.
`void` | `addRequiredProperties(java.lang.String[] properties)`
`void` | `addRequiredProperty(java.lang.String property)`
`java.util.Vector` | `getApplicationProperties()` Returns a collection of properties that are defined within the JMS URL to be added directly to the JMS messages.
`java.lang.String` | `getDestination()`
`java.lang.String` | `getDomain()`
`java.util.HashMap` | `getProperties()`
`java.lang.String` | `getPropertyValue(java.lang.String property)`
`java.util.Vector` | `getRequiredProperties()`
`java.lang.String` | `getURLString()` Returns a URL formatted String.
`java.lang.String` | `getVendor()`
`void` | `setDestination(java.lang.String destination)`
`java.lang.String` | `toString()` Returns a formatted URL String with the assigned properties

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMSURLHelper

    public JMSURLHelper(java.net.URL url)
                 throws java.net.MalformedURLException

### JMSURLHelper

    public JMSURLHelper(java.net.URL url,
                        java.lang.String[] requiredProperties)
                 throws java.net.MalformedURLException

Method Detail

### getDestination

    public java.lang.String getDestination()

### setDestination

    public void setDestination(java.lang.String destination)

### getVendor

    public java.lang.String getVendor()

### getDomain

    public java.lang.String getDomain()

### getProperties

    public java.util.HashMap getProperties()

### getPropertyValue

    public java.lang.String getPropertyValue(java.lang.String property)

### addRequiredProperties

    public void addRequiredProperties(java.lang.String[] properties)

### addRequiredProperty

    public void addRequiredProperty(java.lang.String property)

### getRequiredProperties

    public java.util.Vector getRequiredProperties()

### addApplicationProperty

    public void addApplicationProperty(java.lang.String property)

  Adds the name of a property from the url properties that should be added to the JMS message.

### addApplicationProperty

    public void addApplicationProperty(java.lang.String property,
                                       java.lang.String value)

  Adds the name and value od the application property to the JMS URL.

### getApplicationProperties

    public java.util.Vector getApplicationProperties()

  Returns a collection of properties that are defined within the JMS URL to be added directly to the JMS messages.

  Returns:
    collection or null depending on presence of elements

### getURLString

    public java.lang.String getURLString()

  Returns a URL formatted String. The properties of the URL may not end up in the same order as the JMS URL that was originally used to create this object.

### toString

    public java.lang.String toString()

  Returns a formatted URL String with the assigned properties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.